var checkBox = require('/scrollTableBug/checkBox')

levelTwoView = Titanium.UI.createView({
	title : 'Episodes -',
	height : Ti.UI.FILL,
	width : Ti.UI.FILL,
	//		backgroundColor :'red',
	navBarHidden : false,
	exitOnClose : false,
	visible : true,
	top : 0,
	name : 'levelTwoView',
});
win1.add(levelTwoView);

var aTableView1 = Ti.UI.createTableView({
	height : Ti.UI.SIZE,
	width : Ti.UI.FILL,
	//backgroundColor:'yellow',
	//borderColor:'green',
	//borderWidth:5
});
aTableView1.addEventListener('count', function(e){
	countImages(aTableView1);
})

levelTwoView.add(aTableView1);
//
var tableRowWidth = Ti.Platform.displayCaps.platformWidth;
var factor = 1.5;

var checkboxViewWidth = 65 * factor;
var checkboxWidth = 30 * factor;
var checkboxHeight = 38 * factor;
var infoViewWidth = 34 * factor;
var rowIndentSize = 2;
var titleViewWidth = (tableRowWidth - (2 * rowIndentSize) - checkboxViewWidth)
//

var theRowData = [{
	info : '',
	title : 'title yes/no',
	check1 : true,
	check2 : false
}, {
	info : '',
	title : 'titxx no/no',
	check1 : false,
	check2 : false
}, {
	info : '',
	title : 'tityy no/no',
	check1 : false,
	check2 : false
}]
aTableView1.setData(populateTable(theRowData));

function populateTable(theRowData) {
	var data = [];
	var siz = theRowData.length;
	var siz1 = 10;
	for ( i = 0; i < siz1; i++) {
		for ( j = 0; j < siz; j++) {
			aRowData = theRowData[j];
			populateTableBasic(aRowData, i * siz1 + j, data)
		}
	}
	return data;
}

function populateTableBasic(aRowData, i, data) {
	var title = aRowData.title + i;
	;
	var seasonNum = aRowData.info + i;
	var own = aRowData.check1;
	var watch = aRowData.check2;

	var row = Ti.UI.createTableViewRow({
		className : 'levelTwoClass',
		top : 0,
		seasonNum : seasonNum,
		infoLabel : null,
		titleLabel : null,
		ownCheckBox : null,
		watchCheckBox : null,
		layout : 'composite',
		width : tableRowWidth,
		selectedBackgroundColor : 'transparent',
		height : Ti.UI.SIZE,
	});
	var titleText = title;

	var titleView = Ti.UI.createView({
		layout : 'horizontal',
		width : titleViewWidth,
		top : 0,
		height : Ti.UI.SIZE,
		left : rowIndentSize ,
	})

	row.infoLabel = Ti.UI.createLabel({
		text :  seasonNum ,
		font : {
			fontSize : '12dp'
		},
		height : Ti.UI.SIZE,
		width : infoViewWidth,
		top : 5,
	});
	row.titleLabel = Ti.UI.createLabel({
		text : titleText,
		font : {
			fontSize : '18dp'
		},
		width : titleViewWidth - infoViewWidth,
		height : Ti.UI.SIZE,
		top : 0
	});
	titleView.add(row.infoLabel);
	titleView.add(row.titleLabel);
	row.add(titleView);

	var checkboxView = Ti.UI.createView({
		height : Ti.UI.SIZE,
		layout : 'absolute',
		width : checkboxViewWidth,
		top : 0,
		right : rowIndentSize,
		backgroundColor : 'pink',
	})
	row.titleView = titleView;
	row.checkboxView = checkboxView;

	var ownCheckBox = checkBox.createCheckBox(row, {
		value : own === '1' || own === 'true' || own === true,
		height : checkboxHeight,
		width : checkboxWidth,
		txt : 'own',
	})

	ownCheckBox.setRight(checkboxWidth + 5);

	var watchCheckBox = checkBox.createCheckBox(row, {
		txt : 'read',
		value : watch === '1' || watch === 'true' || watch === true,
		height : checkboxHeight,
		width : checkboxWidth ,
	});

	watchCheckBox.setRight(0);

	checkboxView.add(ownCheckBox);
	checkboxView.add(watchCheckBox);
	row.add(checkboxView);

	row.ownCheckBox = ownCheckBox;
	row.watchCheckBox = watchCheckBox;

	data.push(row);
}

function countImages(theTable){
	var sections = theTable.getSections();
	var rows = sections[0].getRows();
	var check1=0;
	var check2 =0;
	Ti.API.info('countImages '+ rows.length);
	for (i = 0; i< rows.length; i++){
		var row = rows[i];
		check1 += (row.ownCheckBox.value === true ? 1 : 0)
		check2 += (row.watchCheckBox.value === true ? 1 : 0)
	}
	Ti.API.info('countImages check1: '+check1+' check2: '+check2);
}
